Get Violations
GET
/api/v1/settings/constitutions/violations
const url = 'https://api.ultimateteam.ai/api/v1/settings/constitutions/violations?limit=20';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/settings/constitutions/violations?limit=20' \ --header 'X-API-Key: <X-API-Key>'Return the most recent constitution violations for the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ViolationsResponse
object
violations
required
Violations
Array<object>
ViolationEntryobject
checker_reasoning
required
Checker Reasoning
string
created_at
required
Created At
string format: date-time
id
required
Id
string
output_excerpt
required
Output Excerpt
string
role
required
Role
string
violated_axiom
required
Violated Axiom
string
Examplegenerated
{ "violations": [ { "checker_reasoning": "example", "created_at": "2026-04-15T12:00:00Z", "id": "example", "output_excerpt": "example", "role": "example", "violated_axiom": "example" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}